# -*- coding: utf-8; -*-
"""
CORE-POS model importers
"""

from __future__ import unicode_literals, absolute_import

from rattail import importing

from corepos.db import model as corepos
from corepos.trans.db import model as coretrans


class ToCore(importing.ToSQLAlchemy):
    pass


class ToCoreTrans(importing.ToSQLAlchemy):
    pass


class CustomerImporter(ToCore):
    """
    CORE-POS customer data importer.
    """
    model_class = corepos.Customer


class TransactionDetailImporter(ToCoreTrans):
    """
    CORE-POS transaction data importer.
    """
    model_class = coretrans.TransactionDetail
